Bug 1001746 - Review Request: python-theano - Mathematical expressions involving multidimensional arrays
Review Request: python-theano - Mathematical expressions involving multidimen...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 12:09 EDT by Jerry James
Modified: 2013-11-10 01:41 EST (History)
3 users (show)

See Also:
Fixed In Version: python-theano-0.6.0-0.1.rc3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-07 23:38:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2013-08-27 12:09:20 EDT
Spec URL: http://jjames.fedorapeople.org/Theano/python-theano.spec
SRPM URL: http://jjames.fedorapeople.org/Theano/python-theano-0.6.0-0.rc3.fc21.src.rpm
Description: Theano is a Python library that allows you to define, optimize, and
evaluate mathematical expressions involving multi-dimensional arrays
efficiently.  Theano features:
- tight integration with NumPy: Use numpy.ndarray in Theano-compiled
  functions.
- transparent use of a GPU: Perform data-intensive calculations up to
  140x faster than with CPU.(float32 only)
- efficient symbolic differentiation: Theano does your derivatives for
  function with one or many inputs.
- speed and stability optimizations: Get the right answer for log(1+x)
  even when x is really tiny.
- dynamic C code generation: Evaluate expressions faster.
- extensive unit-testing and self-verification: Detect and diagnose many
  types of mistake.
Fedora Account System Username: jjames
Comment 1 Mario Blättermann 2013-09-29 14:39:02 EDT
Scratch build fails for Rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6002525

From root.log:

DEBUG util.py:266:  Getting requirements for python-theano-0.6.0-0.rc3.fc21.src
DEBUG util.py:266:   --> atlas-devel-3.10.1-1.fc21.x86_64
DEBUG util.py:266:   --> epydoc-3.0.1-14.fc20.noarch
DEBUG util.py:266:   --> 1:numpy-1.8.0-0.5.b2.fc21.x86_64
DEBUG util.py:266:   --> pydot-1.0.28-4.fc20.noarch
DEBUG util.py:266:   --> python-devel-2.7.5-7.fc21.x86_64
DEBUG util.py:266:   --> python-nose-1.3.0-1.fc20.noarch
DEBUG util.py:266:   --> python-setuptools-0.9.6-2.fc20.noarch
DEBUG util.py:266:   --> python-sphinx-1.1.3-8.fc20.noarch
DEBUG util.py:266:   --> scipy-0.13.0-0.2.b1.fc21.x86_64
DEBUG util.py:266:   --> 3:texlive-dvipng-svn29821.1.14-0.5.fc20.noarch
DEBUG util.py:266:  Error: Package: scipy-0.13.0-0.2.b1.fc21.x86_64 (build)
DEBUG util.py:266:             Requires: libptcblas.so.3()(64bit)
DEBUG util.py:266:  Error: Package: scipy-0.13.0-0.2.b1.fc21.x86_64 (build)
DEBUG util.py:266:             Requires: libptf77blas.so.3()(64bit)
DEBUG util.py:266:  Error: Package: scipy-0.13.0-0.2.b1.fc21.x86_64 (build)
DEBUG util.py:266:             Requires: libatlas.so.3()(64bit)
DEBUG util.py:266:   You could try using --skip-broken to work around the problem


And a similar problem for f20:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6002536

From root.log:

DEBUG util.py:264:  Getting requirements for python-theano-0.6.0-0.rc3.fc20.src
DEBUG util.py:264:   --> atlas-devel-3.8.4-8.fc19.armv7hl
DEBUG util.py:264:   --> epydoc-3.0.1-14.fc20.noarch
DEBUG util.py:264:   --> 1:numpy-1.7.1-5.fc20.armv7hl
DEBUG util.py:264:   --> pydot-1.0.28-4.fc20.noarch
DEBUG util.py:264:   --> python-devel-2.7.5-7.fc20.armv7hl
DEBUG util.py:264:   --> python-nose-1.3.0-1.fc20.noarch
DEBUG util.py:264:   --> python-setuptools-0.9.6-2.fc20.noarch
DEBUG util.py:264:   --> python-sphinx-1.1.3-8.fc20.noarch
DEBUG util.py:264:   --> scipy-0.12.0-4.fc20.armv7hl
DEBUG util.py:264:   --> 3:texlive-dvipng-svn29821.1.14-0.5.fc20.noarch
DEBUG util.py:264:  Error: util-linux conflicts with sysvinit-tools-2.88-13.dsf.fc20.armv7hl
DEBUG util.py:264:   You could try using --skip-broken to work around the problem


Scratch build for F19 is OK:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6002571

Well, it is unusual, but due to the dependency problems in Rawhide and the upcoming F20, I do the review based an the F19 build.


$ rpmlint -i -v *
python-theano.noarch: I: checking
python-theano.noarch: E: devel-dependency atlas-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

python-theano.noarch: W: spelling-error %description -l en_US multi -> mulch, mufti
The value of this tag appears to be misspelled. Please double-check.

python-theano.noarch: W: spelling-error %description -l en_US ndarray -> array
The value of this tag appears to be misspelled. Please double-check.

python-theano.noarch: W: spelling-error %description -l en_US optimizations -> optimization, optimization's, optimization s
The value of this tag appears to be misspelled. Please double-check.

python-theano.noarch: I: checking-url http://deeplearning.net/software/theano/ (timeout 10 seconds)
python-theano.noarch: W: no-manual-page-for-binary theano-cache
Each executable in standard binary directories should have a man page.

python-theano.noarch: W: no-manual-page-for-binary theano-nose
Each executable in standard binary directories should have a man page.

python-theano.noarch: W: no-manual-page-for-binary theano-test
Each executable in standard binary directories should have a man page.

python-theano.src: I: checking
python-theano.src: W: spelling-error %description -l en_US multi -> mulch, mufti
The value of this tag appears to be misspelled. Please double-check.

python-theano.src: W: spelling-error %description -l en_US ndarray -> array
The value of this tag appears to be misspelled. Please double-check.

python-theano.src: W: spelling-error %description -l en_US optimizations -> optimization, optimization's, optimization s
The value of this tag appears to be misspelled. Please double-check.

python-theano.src: I: checking-url http://deeplearning.net/software/theano/ (timeout 10 seconds)
python-theano.src: I: checking-url https://pypip.in/v/Theano/badge.png (timeout 10 seconds)
python-theano.src: I: checking-url https://secure.travis-ci.org/Theano/Theano.png (timeout 10 seconds)
python-theano.src: W: invalid-url Source1: Theano-missing.tar.xz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

python-theano.src: I: checking-url https://pypi.python.org/packages/source/T/Theano/Theano-0.6.0rc3.tar.gz (timeout 10 seconds)
python-theano-doc.noarch: I: checking
python-theano-doc.noarch: I: checking-url http://deeplearning.net/software/theano/ (timeout 10 seconds)
python-theano.spec: I: checking-url https://pypip.in/v/Theano/badge.png (timeout 10 seconds)
python-theano.spec: I: checking-url https://secure.travis-ci.org/Theano/Theano.png (timeout 10 seconds)
python-theano.spec: W: invalid-url Source1: Theano-missing.tar.xz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

python-theano.spec: I: checking-url https://pypi.python.org/packages/source/T/Theano/Theano-0.6.0rc3.tar.gz (timeout 10 seconds)
3 packages and 1 specfiles checked; 1 errors, 11 warnings.


Ignorable spelling errors, warnings about missing manpages and an invalid URL for Source1. Nothing of interest actually. The non-devel warning is also ignorable due to the nature of this package.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    BSD
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    d103c900678fc952adafe41a33d826052294a7d437cf92493fed7e7f32ef2189  Theano-0.6.0rc3.tar.gz
    d103c900678fc952adafe41a33d826052294a7d437cf92493fed7e7f32ef2189  Theano-0.6.0rc3.tar.gz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
    Not applicable here, it is a -docs package.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.


I'm still missing the files DESCRIPTION.txt, README.txt,  EMAIL.txt, NEWS.txt and HISTORY.txt in your base package. Well, it is nice to have an extra package with extended docs, but the base package has actually no ones.
Comment 2 Mario Blättermann 2013-10-20 14:27:00 EDT
Any progress here?
Comment 3 Jerry James 2013-10-21 16:20:24 EDT
Mario, sorry for the delay, and thank you very much for the review.  I have added all of the suggested text files to the main package except for EMAIL.txt.  It is a template to be used when generating the email announcement for a release.  I also fixed a problem caused by a missing import, and another problem that caused some of the documentation to not be generated.  New URLs:

Spec URL: http://jjames.fedorapeople.org/Theano/python-theano.spec
SRPM URL: http://jjames.fedorapeople.org/Theano/python-theano-0.6.0-0.1.rc3.fc21.src.rpm
Comment 4 Mario Blättermann 2013-10-27 12:36:19 EDT
Scratch build for Rawhide doesn't fail anymore:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6104609

$ rpmlint -i -v *
python-theano.noarch: I: checking
python-theano.noarch: E: devel-dependency atlas-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

python-theano.noarch: W: spelling-error %description -l en_US multi -> mulch, mufti
The value of this tag appears to be misspelled. Please double-check.

python-theano.noarch: W: spelling-error %description -l en_US ndarray -> array
The value of this tag appears to be misspelled. Please double-check.

python-theano.noarch: W: spelling-error %description -l en_US optimizations -> optimization, optimization's, optimization s
The value of this tag appears to be misspelled. Please double-check.

python-theano.noarch: I: checking-url http://deeplearning.net/software/theano/ (timeout 10 seconds)
python-theano.noarch: W: no-manual-page-for-binary theano-cache
Each executable in standard binary directories should have a man page.

python-theano.noarch: W: no-manual-page-for-binary theano-nose
Each executable in standard binary directories should have a man page.

python-theano.noarch: W: no-manual-page-for-binary theano-test
Each executable in standard binary directories should have a man page.

python-theano.src: I: checking
python-theano.src: W: spelling-error %description -l en_US multi -> mulch, mufti
The value of this tag appears to be misspelled. Please double-check.

python-theano.src: W: spelling-error %description -l en_US ndarray -> array
The value of this tag appears to be misspelled. Please double-check.

python-theano.src: W: spelling-error %description -l en_US optimizations -> optimization, optimization's, optimization s
The value of this tag appears to be misspelled. Please double-check.

python-theano.src: I: checking-url http://deeplearning.net/software/theano/ (timeout 10 seconds)
python-theano.src: I: checking-url https://pypip.in/v/Theano/badge.png (timeout 10 seconds)
python-theano.src: I: checking-url https://secure.travis-ci.org/Theano/Theano.png (timeout 10 seconds)
python-theano.src: W: invalid-url Source1: Theano-missing.tar.xz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

python-theano.src: I: checking-url https://pypi.python.org/packages/source/T/Theano/Theano-0.6.0rc3.tar.gz (timeout 10 seconds)
python-theano-doc.noarch: I: checking
python-theano-doc.noarch: I: checking-url http://deeplearning.net/software/theano/ (timeout 10 seconds)
python-theano.spec: I: checking-url https://pypip.in/v/Theano/badge.png (timeout 10 seconds)
python-theano.spec: I: checking-url https://secure.travis-ci.org/Theano/Theano.png (timeout 10 seconds)
python-theano.spec: W: invalid-url Source1: Theano-missing.tar.xz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

python-theano.spec: I: checking-url https://pypi.python.org/packages/source/T/Theano/Theano-0.6.0rc3.tar.gz (timeout 10 seconds)
3 packages and 1 specfiles checked; 1 errors, 11 warnings.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    BSD
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    d103c900678fc952adafe41a33d826052294a7d437cf92493fed7e7f32ef2189  Theano-0.6.0rc3.tar.gz
    d103c900678fc952adafe41a33d826052294a7d437cf92493fed7e7f32ef2189  Theano-0.6.0rc3.tar.gz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
    Not applicable here, it is a -docs package.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.



----------------

PACKAGE APPROVED

----------------


Just one note: A -doc subpackage doesn't require the base package in any case. Someone could want to read the docs before installing the package itself, so the dependency could be dropped. However, it is your choice.
Comment 5 Jerry James 2013-10-29 11:19:17 EDT
Mario, thank you very much for the review.  I will drop the -doc dependency on the main package when I import it.
Comment 6 Jerry James 2013-10-29 11:21:55 EDT
New Package SCM Request
=======================
Package Name: python-theano
Short Description: Mathematical expressions involving multidimensional arrays
Owners: jjames
Branches: f19 f20
InitialCC:
Comment 7 Gwyn Ciesla 2013-10-30 08:02:09 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-10-30 11:18:29 EDT
python-theano-0.6.0-0.1.rc3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-theano-0.6.0-0.1.rc3.fc20
Comment 9 Fedora Update System 2013-10-30 11:18:41 EDT
python-theano-0.6.0-0.1.rc3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-theano-0.6.0-0.1.rc3.fc19
Comment 10 Fedora Update System 2013-10-30 23:04:30 EDT
python-theano-0.6.0-0.1.rc3.fc19 has been pushed to the Fedora 19 testing repository.
Comment 11 Fedora Update System 2013-11-07 23:38:23 EST
python-theano-0.6.0-0.1.rc3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 12 Fedora Update System 2013-11-10 01:41:56 EST
python-theano-0.6.0-0.1.rc3.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.